Author Topic: Project should have .vpj extension error  (Read 456 times)

rowbearto

  • Senior Community Member
  • Posts: 701
  • Hero Points: 23
Project should have .vpj extension error
« on: April 21, 2017, 03:39:05 am »
I am getting a strange error message: "Project e:\robb\slickbugs\" should have .vpj extension.

To reproduce (in Windows):

1) Get the file swbug.7z from support.slickedit.com
2) Unzip its contents to e:\robb\slickbugs
3) Project->Open Workspace: e:\robb\slickbugs\StackWalker.vpw
4) In the project tool window, under "Header files", find "StackWalker.h" and press DEL to remove it from the project
5) Go to project properties, add files, add StackWalker.h back into the project
6) When pressing "OK" in project properties, that is when I get the error message.

I am using 21.0.2 on windows x64 with hotfix_se2102_11_cumulative.zip

Thanks for taking a look!
Rob

Tim Kemp

  • Senior Community Member
  • Posts: 514
  • Hero Points: 83
Re: Project should have .vpj extension error
« Reply #1 on: April 21, 2017, 11:21:48 am »
I got this error yesterday when creating a new project. The project type was C/C++ other and the location of the project was in a directory with existing files in it. The project seems to work fine and I haven't gotten the error message again, it just popped up once when I clicked on OK from the new project window.

SlickEdit Pro 2016 (v21.0.2.0 32-bit)
Hotfix: hotfix_se2102_11_cumulative.zip
Build Date: April 17, 2017
Emulation: CUA
OS: Windows 7 x64

Lee

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 1034
  • Hero Points: 86
Re: Project should have .vpj extension error
« Reply #2 on: April 21, 2017, 01:07:39 pm »
Confirmed, I was able to reproduce this.  I will file a defect and start working on a hotfix solution.

mzel

  • Community Member
  • Posts: 10
  • Hero Points: 0
Re: Project should have .vpj extension error
« Reply #3 on: August 30, 2017, 02:59:09 pm »
Has there been any progress here? I am getting this too. I am on v21.0.2.0 on Win